Subject: [pm-dir] Review of http://tools.ietf.org/html/draft-ietf-ippm-testplan-rfc2680-03 -> W RFC 6390 Template

From: Benoit Claise <[email-masked]>
Date: Sat, 27 Jul 2013 12:13:00 +0200

Dear Al,

I reviewed http://tools.ietf.org/html/draft-ietf-ippm-testplan-rfc2680-03
A discussion among the pm-dir first, before mentioning this on the IPPM 
mailing list
I don't believe that the following statement is correct

    We recognize the existence ofBCP 170  <http://tools.ietf.org/html/bcp170>  [RFC6390  <http://tools.ietf.org/html/rfc6390>] providing guidelines
    for development of drafts describing new performance metrics.
    However, the advancement of [RFC2680  <http://tools.ietf.org/html/rfc2680>] represents fine-tuning of long-
    standing specifications based on experience that helped to formulate
    BCP 170  <http://tools.ietf.org/html/bcp170>, and material that satisfies some of the requirements of
    [RFC6390  <http://tools.ietf.org/html/rfc6390>] can be found in other RFCs, such as the IPPM Framework
    [RFC2330  <http://tools.ietf.org/html/rfc2330>].  Thus, no specific changes to addressBCP 170  <http://tools.ietf.org/html/bcp170>  guidelines
    are recommended for RFC 2680bis.

The IPPM charter mentions: Metric definitions will follow the template 
given in RFC
6390.
The RFC 6390 template should be applied. This is required to have a RFC 
6390-based template registry, as I will show during the IPPM WG.

Regards, Benoit

---

From: Alan Clark <[email-masked]>
Date: Sat, 27 Jul 2013 07:25:18 -0400

Benoit

The motivation behind RFC6390 was to ensure that metrics were properly
defined, and this goal is not in conflict with the desire of authors or WG¹s
to rapidly develop or evolve drafts or associated metrics.

IMHO the order of importance of application of RFC6390 (highest to lowest)
is 

(i) Properly define metric and make sure the definition includes everything
required by RFC6390

(ii) Define the metric using the template

(iii) Put the definition into a registry

Regards

Alan Clark

On 7/27/13 6:13 AM, "Benoit Claise" <[email-masked]> wrote:

>    We recognize the existence of BCP 170 <http://tools.ietf.org/html/bcp170>
> [RFC6390 <http://tools.ietf.org/html/rfc6390> ] providing guidelines
>    However, the advancement of [RFC2680 <http://tools.ietf.org/html/rfc2680> ]
> represents fine-tuning of long-
>    BCP 170 <http://tools.ietf.org/html/bcp170> , and material that satisfies
> some of the requirements of
>    [RFC6390 <http://tools.ietf.org/html/rfc6390> ] can be found in other RFCs,
> such as the IPPM Framework
>    [RFC2330 <http://tools.ietf.org/html/rfc2330> ].  Thus, no specific changes
> to address BCP 170 <http://tools.ietf.org/html/bcp170>  guidelines
>  The IPPM charter mentions: Metric definitions will follow the template given
> in RFC
>  6390.
> _______________________________________________
> pm-dir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pm-dir

---

From: "MORTON JR., ALFRED C (AL)" <[email-masked]>
Date: Sat, 27 Jul 2013 09:48:17 -0400

Hi Benoit,

Thanks for initiating this discussion.

I tend to agree with Alan's hierarchy, but observe that the template is a very small
part of the large body of useful guidance contained in RFC 6390. 

Putting the registry aside (because the 6390 guidance is about the metric specifications themselves)
what is the benefit of one template over another when the needed information is conveyed 
effectively?
 
regards,
Al
________________________________________
From: Alan Clark [[email-masked]]
Sent: Saturday, July 27, 2013 7:25 AM
To: Benoit Claise; MORTON JR., ALFRED C (AL)
Cc: [email-masked]
Subject: Re: [pm-dir] Review of http://tools.ietf.org/html/draft-ietf-ippm-testplan-rfc2680-03 -> W RFC 6390 Template

Benoit

The motivation behind RFC6390 was to ensure that metrics were properly defined, and this goal is not in conflict with the desire of authors or WG’s to rapidly develop or evolve drafts or associated metrics.

IMHO the order of importance of application of RFC6390 (highest to lowest) is

(i) Properly define metric and make sure the definition includes everything required by RFC6390

Regards

Alan Clark

 Dear Al,

 I reviewed http://tools.ietf.org/html/draft-ietf-ippm-testplan-rfc2680-03
 A discussion among the pm-dir first, before mentioning this on the IPPM mailing list
 I don't believe that the following statement is correct

   We recognize the existence of BCP 170 <http://tools.ietf.org/html/bcp170>  [RFC6390 <http://tools.ietf.org/html/rfc6390> ] providing guidelines
   for development of drafts describing new performance metrics.
   However, the advancement of [RFC2680 <http://tools.ietf.org/html/rfc2680> ] represents fine-tuning of long-
   standing specifications based on experience that helped to formulate
   BCP 170 <http://tools.ietf.org/html/bcp170> , and material that satisfies some of the requirements of
   [RFC6390 <http://tools.ietf.org/html/rfc6390> ] can be found in other RFCs, such as the IPPM Framework
   [RFC2330 <http://tools.ietf.org/html/rfc2330> ].  Thus, no specific changes to address BCP 170 <http://tools.ietf.org/html/bcp170>  guidelines
   are recommended for RFC 2680bis.
 The IPPM charter mentions: Metric definitions will follow the template given in RFC
 6390.
 The RFC 6390 template should be applied. This is required to have a RFC 6390-based template registry, as I will show during the IPPM WG.

 Regards, Benoit

________________________________
_______________________________________________
pm-dir mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pm-dir

---

From: Benoit Claise <[email-masked]>
Date: Sat, 27 Jul 2013 18:42:41 +0200

> what is the benefit of one template over another when the needed information is conveyed
I believe that the template definition is required for correctly 
populating the registry.
I will present on this in the IPPM WG.

Regards, Benoit